<table class="table" cellspacing="0" *ngIf="data$ | async as data; else elseBlock">
  <tr class="table-header">
    <th>
      Ro
    </th>
    <th>
      Carbon
    </th>
  </tr>
  <tr *ngFor="let carbonData of data" class="table-row">
    <td>
      {{ carbonData.ro }}
    </td>
    <td>
      {{ carbonData.carbon }}
    </td>
  </tr>
</table>

<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
